Bug Hunting Session
Bug 112727 - Chart crashes when transparency is square
Summary: Chart crashes when transparency is square
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Julien Nabet
URL:
Whiteboard: target:6.0.0 target:5.4.3
Keywords: haveBacktrace
Depends on:
Blocks:
 
Reported: 2017-09-28 19:00 UTC by Emil Tanev
Modified: 2017-10-03 14:57 UTC (History)
1 user (show)

See Also:
Crash report or crash signature: ["svx::sidebar::AreaTransparencyGradientPopup::InitStatus(XFillFloatTransparenceItem *)"]


Attachments
gdb backtrace (21.83 KB, text/plain)
2017-09-28 19:30 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Emil Tanev 2017-09-28 19:00:47 UTC
Open Writer
Add a chart
Change the Transparency in the property pane to Square
Click "Specify the variation of gradient transparency"

Every time
https://www.screencast.com/t/2EKFiMOz
https://www.screencast.com/t/xnsS833sYhRz

Version: 5.4.1.2 (x64)
Build ID: ea7cb86e6eeb2bf3a5af73a8f7777ac570321527
CPU threads: 8; OS: Windows 6.19; UI render: default; 
Locale: ja-JP (ja_JP); Calc: group
Comment 1 Xisco Faulí 2017-09-28 19:14:16 UTC
Nice catch!!

Reproduced in

Version: 6.0.0.0.alpha0+
Build ID: 8d2a287da3abb0576512406227d0a3acd602123e
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 2 Xisco Faulí 2017-09-28 19:17:47 UTC
Also reproduced in

Version: 5.2.0.0.alpha1+
Build ID: 5b168b3fa568e48e795234dc5fa454bf24c9805e
CPU Threads: 4; OS Version: Linux 4.10; UI Render: default; 
Locale: ca-ES (ca_ES.UTF-8)
Comment 3 Xisco Faulí 2017-09-28 19:30:02 UTC
Created attachment 136591 [details]
gdb backtrace
Comment 4 Julien Nabet 2017-09-28 20:15:42 UTC
Let's give a try with https://gerrit.libreoffice.org/#/c/42925/
Comment 5 Commit Notification 2017-09-29 17:18:54 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1fba529cf2d810bfce1f3fbcad84b6f6805e1405

tdf#112727: crash in chart (transparency related)

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2017-10-01 23:05:33 UTC
Fixed in

Version: 6.0.0.0.alpha0+
Build ID: 1d0fbc9927f357d25859b7cca7ea5e9a9637681e
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

@Julien, could you please close this as VERIFIED FIXED?
Comment 7 Julien Nabet 2017-10-02 07:05:14 UTC
As asked by Xisco.
Comment 8 Julien Nabet 2017-10-02 07:06:01 UTC
For the record, I cherry-picked the patch for 5.4, it's waiting for review, see https://gerrit.libreoffice.org/#/c/42950/
Comment 9 Commit Notification 2017-10-03 14:57:21 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=584d87162aceaabd0a80674f07c65eda7318db8a&h=libreoffice-5-4

tdf#112727: crash in chart (transparency related)

It will be available in 5.4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.